- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# XMLDOMNodeList Class Reference

Inherits Object.

List of all members.

## Detailed Description

The XMLDOMNodeList interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented.

XMLDOMNodeList objects in the DOM are live.

The items in the XMLDOMNodeList are accessible via an integral index, starting from 0.

## Public Member Functions
virtual int | getLength ()=0
virtual XMLDOMNodePtr | item (int index)=0

## Member Function Documentation

virtual int getLength | ( |  | ) | `[pure virtual]`

virtual XMLDOMNodePtr item | ( | int | index | ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- xml.h